PGPAINLESS-CLI-VERIFY(1)

NAME
pgpainless-cli-verify - Verify a detached signature

SYNOPSIS

pgpainless-cli verify [--stacktrace] [--not-after=DATE] [--not-before=DATE] SIGNATURE CERT...

DESCRIPTION

Verify a detached signature over some data from STDIN.

OPTIONS

--not-after=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to current system time ("now").

    Accepts special value "-" for end of time.

--not-before=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to beginning of time ("-").

--stacktrace
    Print stacktrace

ARGUMENTS

SIGNATURE
    Detached signature

CERT...
    Public key certificates for signature verification